Knowledge Sources - Get Status

Retrieves the status of a knowledge source.

GET {endpoint}/knowledgesources('{sourceName}')/status?api-version=2026-04-01

URI Parameters

Name In Required Type Description
endpoint
path True

string (uri)

The endpoint URL of the search service.

sourceName
path True

string

The name of the knowledge source.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
Accept

Accept

The Accept header.

x-ms-client-request-id

string (uuid)

An opaque, globally-unique, client-generated string identifier for the request.

Responses

Name Type Description
200 OK

KnowledgeSourceStatus

The request has succeeded.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

api-key

Type: apiKey
In: header

OAuth2Auth

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

Scopes

Name Description
https://search.azure.com/.default

Examples

SearchServiceGetKnowledgeSourceStatus

Sample request

GET https://exampleservice.search.windows.net/knowledgesources('ks-example-index')/status?api-version=2026-04-01

Sample response

{
  "kind": "searchIndex",
  "synchronizationStatus": "active",
  "synchronizationInterval": "1d",
  "currentSynchronizationState": {
    "startTime": "2024-11-26T03:37:18.853Z",
    "itemsUpdatesProcessed": 10,
    "itemsUpdatesFailed": 2,
    "itemsSkipped": 1
  },
  "lastSynchronizationState": {
    "startTime": "2024-11-25T03:37:18.853Z",
    "endTime": "2024-11-25T03:38:19.012Z",
    "itemsUpdatesProcessed": 8,
    "itemsUpdatesFailed": 1,
    "itemsSkipped": 0
  },
  "statistics": {
    "totalSynchronization": 5,
    "averageSynchronizationDuration": "PT30M",
    "averageItemsProcessedPerSynchronization": 100
  }
}

Definitions

Name Description
Accept

The Accept header.

CompletedSynchronizationState

Represents the completed state of the last synchronization.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

KnowledgeSourceKind

The kind of the knowledge source.

KnowledgeSourceStatistics

Statistical information about knowledge source synchronization history.

KnowledgeSourceStatus

Represents the status and synchronization history of a knowledge source.

KnowledgeSourceSynchronizationError

Represents a document-level indexing error encountered during a knowledge source synchronization run.

KnowledgeSourceSynchronizationStatus

The current synchronization status of the knowledge source.

SynchronizationState

Represents the current state of an ongoing synchronization that spans multiple indexer runs.

Accept

The Accept header.

Value Description
application/json;odata.metadata=minimal

CompletedSynchronizationState

Represents the completed state of the last synchronization.

Name Type Description
endTime

string (date-time)

The end time of the last completed synchronization.

itemsSkipped

integer (int32)

The number of items skipped in the last synchronization.

itemsUpdatesFailed

integer (int32)

The number of item updates that failed in the last synchronization.

itemsUpdatesProcessed

integer (int32)

The number of item updates successfully processed in the last synchronization.

startTime

string (date-time)

The start time of the last completed synchronization.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Name Type Description
error

ErrorDetail

The error object.

KnowledgeSourceKind

The kind of the knowledge source.

Value Description
searchIndex

A knowledge source that reads data from a Search Index.

azureBlob

A knowledge source that read and ingest data from Azure Blob Storage to a Search Index.

indexedOneLake

A knowledge source that reads data from indexed OneLake.

web

A knowledge source that reads data from the web.

KnowledgeSourceStatistics

Statistical information about knowledge source synchronization history.

Name Type Description
averageItemsProcessedPerSynchronization

integer (int32)

Average items processed per synchronization.

averageSynchronizationDuration

string

Average synchronization duration in HH:MM:SS format.

totalSynchronization

integer (int32)

Total number of synchronizations.

KnowledgeSourceStatus

Represents the status and synchronization history of a knowledge source.

Name Type Description
currentSynchronizationState

SynchronizationState

Current synchronization state that spans multiple indexer runs.

kind

KnowledgeSourceKind

Identifies the Knowledge Source kind directly from the Status response.

lastSynchronizationState

CompletedSynchronizationState

Details of the last completed synchronization. Null on first sync.

statistics

KnowledgeSourceStatistics

Statistical information about the knowledge source synchronization history. Null on first sync.

synchronizationInterval

string

The synchronization interval (e.g., '1d' for daily). Null if no schedule is configured.

synchronizationStatus

KnowledgeSourceSynchronizationStatus

The current synchronization status.

KnowledgeSourceSynchronizationError

Represents a document-level indexing error encountered during a knowledge source synchronization run.

Name Type Description
details

string

Additional contextual information about the failure.

docId

string

The unique identifier for the failed document or item within the synchronization run.

documentationLink

string

A link to relevant troubleshooting documentation.

errorMessage

string

Human-readable, customer-visible error message.

name

string

Name of the ingestion or processing component reporting the error.

statusCode

integer (int32)

HTTP-like status code representing the failure category (e.g., 400).

KnowledgeSourceSynchronizationStatus

The current synchronization status of the knowledge source.

Value Description
creating

The knowledge source is being provisioned.

active

The knowledge source is active and synchronization runs are occurring.

deleting

The knowledge source is being deleted and synchronization is paused.

SynchronizationState

Represents the current state of an ongoing synchronization that spans multiple indexer runs.

Name Type Description
errors

KnowledgeSourceSynchronizationError[]

Collection of document-level indexing errors encountered during the current synchronization run. Returned only when errors are present.

itemsSkipped

integer (int32)

The number of items skipped in the current synchronization.

itemsUpdatesFailed

integer (int32)

The number of item updates that failed in the current synchronization.

itemsUpdatesProcessed

integer (int32)

The number of item updates successfully processed in the current synchronization.

startTime

string (date-time)

The start time of the current synchronization.